Index: /branches/presentation/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10714)
+++ /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10715)
@@ -204,4 +204,5 @@
   this->secWeaponMan.addWeaponToSlot(0, 2, "SwarmLauncher");
 
+  this->mouseSensitivity = 4;
 
   this->weaponMan.changeWeaponConfig(0);
@@ -343,4 +344,6 @@
   LoadParam(root, "loadWeapon", this, SpaceShip, loadWeapon)
   .describe("set weapon regeneration");
+
+  LoadParam(root, "mouseSenitivity", this, SpaceShip, setMouseSensitivity);
 
 /*
@@ -573,8 +576,6 @@
   else if( event.type == KeyMapper::PEV_FIRE2)
     this->bSecFire = event.bPressed;
-  else if( event.type == KeyMapper::PEV_FIRE1){
-    printf("fireing primary");
+  else if( event.type == KeyMapper::PEV_FIRE1)
     this->bFire = event.bPressed;
-  }
   else if( event.type == KeyMapper::PEV_NEXT_WEAPON && event.bPressed)
   {
@@ -591,5 +592,6 @@
     this->yMouse += event.yRel;
 //     printf("Mouse Coord: %f, %f\n", this->xMouse, this->yMouse);
-    this->weaponMan.getFixedTarget()->setRelCoor(10000, 4*xMouse, 4*yMouse);
+    this->weaponMan.getFixedTarget()->setRelCoor(10000, -10 * this->mouseSensitivity * yMouse, 10 * this->mouseSensitivity * xMouse);
+    this->secWeaponMan.getFixedTarget()->setRelCoor(10000, -10 * this->mouseSensitivity * yMouse, 10 * this->mouseSensitivity * xMouse);
   }
   else if (!(State::getCamera()->getEventHandling()))
Index: /branches/presentation/src/world_entities/space_ships/space_ship.h
===================================================================
--- /branches/presentation/src/world_entities/space_ships/space_ship.h	(revision 10714)
+++ /branches/presentation/src/world_entities/space_ships/space_ship.h	(revision 10715)
@@ -97,5 +97,7 @@
     virtual void hit(float damage, WorldEntity* killer);
 
-    void                  setCameraDistance(float dist);
+    void setCameraDistance(float dist);
+
+    void setMouseSensitivity(float sens) { this->mouseSensitivity = sens;};
 
   private:
@@ -105,5 +107,5 @@
 
 //    void regen(float time);  //!< handler for shield and electronic regeneration
-
+// moove to WE
     void weaponRegen(float time);   //!< weapon energy regeneration
 
@@ -112,5 +114,5 @@
 //     void updateElectronicWidget();
 //     void updateShieldWidget();
-
+// moved to WE
     //WeaponManager         weaponMan;      //!< the primary weapon manager: managing a list of energy weapons to wepaon-slot mapping
     WeaponManager         secWeaponMan;       //!< the secondary weapon manager: managing a list of special weapons to weapon-slot mapping
@@ -118,5 +120,5 @@
     Playable::Playmode    playmode;           //!< The current playmode.
 
-    //ship atributes
+    //ship atributes, all moved to WE
 //    float       shieldCur;          //!< current shield
 //    float       shieldMax;          //!< maximum shield
Index: /branches/presentation/src/world_entities/weapons/rf_cannon.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/rf_cannon.cc	(revision 10714)
+++ /branches/presentation/src/world_entities/weapons/rf_cannon.cc	(revision 10715)
@@ -138,6 +138,7 @@
 
   pj->setAbsCoor(this->emissionPoint[this->activeBarrel]->getAbsCoor());
-//   pj->setAbsDir(this->getAbsDir());
+  pj->setAbsDir(this->getAbsDir());
 //   pj->setAbsDir(Quaternion(0, dynamic_cast<WeaponManager*>(this->getParent())->getFixedTarget()->getAbsCoor() - this->getParent()->getAbsCoor()));
+//   pj->setAbsDir(dynamic_cast<WeaponManager*>(this->getParent())->getFixedTarget()->getAbsDir());
   pj->activate();
 
Index: /branches/presentation/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/weapon_manager.cc	(revision 10714)
+++ /branches/presentation/src/world_entities/weapons/weapon_manager.cc	(revision 10715)
@@ -480,5 +480,4 @@
 {
   Weapon* tickWeapon;
-
 
   for(int i = 0; i < this->slotCount; i++)
